Skip to main content
`Ctrl`+`K`

# PCShellPSolveFn

A function prototype for functions provided to `PCShellSetPreSolve()` and `PCShellSetPostSolve()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PCShellPSolveFn(PC pc, KSP ksp, Vec xim, Vec xout);

## Calling Sequence

- pc - the preconditioner `PC` context

- ksp - the `KSP` context

- xin - input vector

- xout - output vector

## See Also

SNES: Nonlinear Solvers, `KSPPSolveFn`, `KSP`, `PCShellSetPreSolve()`, `PCShellSetPostSolve()`

## Level

intermediate

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages